UPDATE EVOLUTION.SCONTI_LISTINO SET PERC_SCONTO = 100 WHERE PERC_SCONTO <> 100;

INSERT INTO EVOLUTION.SCONTI_LISTINO
SELECT LISTINI_ARTICOLI.IDLISTINO, 100 AS PERC_SCONTO FROM EVOLUTION.LISTINI_ARTICOLI 
WHERE
LISTINI_ARTICOLI.IDTIPO_LISTINO = 0
AND
LISTINI_ARTICOLI.IDLISTINO NOT IN (SELECT IDLISTINO FROM EVOLUTION.SCONTI_LISTINO)
